DEBSBOM-FILTER(1)

NAME
debsbom-filter - debsbom filter command

SYNOPSIS

            debsbom filter [-h] [-t {cdx,spdx}] [--sources] [--binaries] [--validate]
                           [-p PACKAGE]
                           bomin bomout

DESCRIPTION

Filter sbom

OPTIONS

Positional Arguments

    bomin
        sbom file(s) to process for 'bomin'. Use '-' to read from stdin

    bomout
        sbom output file. Use '-' to write to stdout

Named Arguments

    -t, --sbom-type
        SBOM type to process (default: auto-detect), required when reading from stdin

        Possible choices: cdx, spdx

    --sources=False
        operate only on source packages (skip binaries)

    --binaries=False
        operate only on binary packages (skip sources)

    --validate=False
        validate generated SBOM (only for SPDX)

    -p, --package
        filter the SBOM by only including the package and its dependency subgraph

SEE ALSO

debsbom-generate(1)

DEBSBOM

Part of the debsbom(1) suite.

Author
Christoph Steiger, Felix Moessbauer

Copyright
2025, Siemens